package com.union.ai.api.dao.mapper;

import com.union.ai.api.dao.model.Api;
import com.union.ai.api.dao.model.ApiCondition;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ApiMapper {
    int countByCondition(ApiCondition example);

    int deleteByCondition(ApiCondition example);

    int deleteById(Integer apiId);

    int insert(Api record);

    int insertSelective(Api record);

    List<Api> selectByCondition(ApiCondition example);

    Api selectById(Integer apiId);

    int updateByConditionSelective(@Param("record") Api record, @Param("example") ApiCondition example);

    int updateByCondition(@Param("record") Api record, @Param("example") ApiCondition example);

    int updateByIdSelective(Api record);

    int updateById(Api record);
}